/* fonts */
@font-face {
  font-family: "hepta-slab-regular";
  src: url(fonts/HeptaSlab-Regular.ttf);
}

@font-face {
  font-family: "italiana";
  src: url(fonts/Italiana-Regular.ttf);
}

* {
  box-sizing: border-box;
  scroll-behavior: smooth;
  font-family: "hepta-slab-regular", serif;
}

a {
  text-decoration: none;
}

h2 {
  font-family: "italiana", serif;
}

body {
  margin: 0;
  padding: 0;
}

/* hamburger menu styles */
:root {
  --hamburger-bar-width: 50px;
  --hamburger-bar-height: 6px;
  --hamburger-gap: 6px;
  --hamburger-color-foreground: #242b0f;
  --hamburger-color-background: #fff;
  --hamburger-color-pink: #ffd7ef;
  --hamburger-color-pink-border: #8e3f6ea9;
  --hamburger-color-white: #fffcfc;
  --hamburger-color-white-border: #919191a9;
  --hamburger-color-green: #e0ffce;
  --hamburger-color-green-border: #3c461bad;
  --color-dark-green: #242b0f;
  --color-main-green: #458021;
  --color-main-pink: #d59fbf;
  --color-main-light-pink: #ffd7ef;
  --color-off-white: #fffcfc;

  --hamburger-margin: 20px;
  --animation-timing: 200ms ease-in-out;
  --hamburger-height: calc(
    var(--hamburger-bar-height) * 3 + var(--hamburger-gap) * 2
  );

  /* header font size */
  --header-font-size: 4rem;
}

.quick-green {
  color: var(--color-main-green);
}
.quick-pink {
  color: var(--color-main-pink);
}
.quick-light-pink {
  color: var(--color-main-light-pink);
}

/* 

general styles

*/
.overall_header {
  font-size: var(--header-font-size);
  /* font-weight: lighter; */
  padding: 0;
  margin: 0;
}

/* 

hamburger menu styles 

*/
.hamburger-menu {
  --x-width: calc(var(--hamburger-height) * 1.41421356237);

  display: flex;
  flex-direction: column;
  align-items: center;
  gap: var(--hamburger-gap);
  width: max-content;
  position: fixed;
  top: var(--hamburger-margin);
  left: var(--hamburger-margin);
  z-index: 3;
  cursor: pointer;
}

.hamburger-menu:has(input:checked) {
  --hamburger-color-foreground: #fff;
  --hamburger-color-background: #242b0f;
}

/* accessibility */
.hamburger-menu:has(input:focus-visible)::before,
.hamburger-menu:has(input:focus-visible)::after,
.hamburger-menu input:focus-visible {
  border: 1px solid var(--hamburger-color-background);
  box-shadow: 0 0 0 1px var(--hamburger-color-foreground);
}

.hamburger-menu::before,
.hamburger-menu::after,
.hamburger-menu input {
  content: "";
  width: var(--hamburger-bar-width);
  height: var(--hamburger-bar-height);
  background-color: var(--hamburger-color-foreground);
  border-radius: 9999px;
  transform-origin: left center;
  transition:
    opacity var(--animation-timing),
    width var(--animation-timing),
    rotate var(--animation-timing),
    translate var(--animation-timing),
    background-color var(--animation-timing);
}

.hamburger-menu input {
  background-color: var(--hamburger-color-white);
  border: 1px solid var(--hamburger-color-white-border);
}

.hamburger-menu::before {
  background-color: var(--hamburger-color-pink);
  border: 1px solid var(--hamburger-color-pink-border);
}
.hamburger-menu::after {
  background-color: var(--hamburger-color-green);
  border: 1px solid var(--hamburger-color-green-border);
}

.hamburger-menu input {
  appearance: none;
  outline: none;
  pointer-events: none;
  padding: 0;
  margin: 0;
}

.hamburger-menu:has(input:checked)::before {
  rotate: 45deg;
  width: var(--x-width);
  translate: 0 calc(var(--hamburger-bar-height) / -2);
}
.hamburger-menu:has(input:checked)::after {
  rotate: -45deg;
  width: var(--x-width);
  translate: 0 calc(var(--hamburger-bar-height) / 2);
}

.hamburger-menu input:checked {
  opacity: 0;
  width: 0;
}

.hamburger_sidebar {
  position: fixed;
  transition: translate var(--animation-timing);
  translate: -100%;
  padding: 30px;
  padding-top: calc(var(--hamburger-height) + var(--hamburger-margin) + 1rem);
  background-color: var(--hamburger-color-foreground);
  opacity: 97%;
  color: var(--hamburger-color-background);
  width: fit-content;
  min-height: 100vh;
  /* margin-top: -21px; */
  display: flex;
  flex-direction: column;
  align-items: start;
  z-index: 2;
}

.hamburger_sidebar a {
  text-decoration: none;
  color: inherit;
}

.hamburger_sidebar a:hover {
  text-decoration: underline;
}

.hamburger_sidebar li {
  list-style: none;
  padding-bottom: 10px;
  padding-left: 20px;
}

.hamburger_sidebar ul {
  padding: 0;
}

/* .hamburger_sidebar nav ul h2 {
    color: var(--color-dark-green);
} */

.hamburger-menu:has(input:checked) + .hamburger_sidebar {
  translate: 0;
}

/* .hamburger-lilypad-a{
} */

.hamburger-lilypad {
  margin-top: 20px;
  height: 70px;
  opacity: 0.6;
}

/* .hamburger-lilypad:hover {
  cursor:
    url("images/lilypad-cursor.png") 16 16,
    pointer;
}
.hamburger-lilypad:focus {
  cursor: auto;
} */

/* 

  footer styles

*/
.overall-footer {
  width: 100%;
  /* max-height: 400px; */
  /* padding: 0 10%; */
  padding-top: 100px;
  padding-bottom: 100px;
  background-image: url("images/mytokyo-forest-1.png");
  background-size: cover;
  background-position: center;
  border-radius: 50px 50px 0px 0px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.overall-footer-div {
  width: 80%;
}

.footer-title {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 20px;
}

.overall-footer h2 {
  color: var(--color-off-white);
  font-family: "italiana", serif;
  font-weight: lighter;
  padding: 0;
  margin: 0;
}

.footer-contact-info p {
  color: var(--color-off-white);
  font-family: "hepta-slab-regular", serif;
  font-weight: lighter;
  padding: 0;
  padding-bottom: 10px;
  margin: 0;
}

.footer-contact-info p a {
  color: var(--color-off-white);
  text-decoration: none;
}
.footer-contact-info p a:hover {
  text-decoration: underline;
  font-weight: bold;
}

.cv-download {
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: center;
  width: fit-content;
  background-color: var(--color-off-white);
  padding: 0px 25px;
  margin-top: 20px;
  border-radius: 25px;
}

.cv-download:hover {
  background-color: var(--hamburger-color-pink);
}
.cv-download h3 {
  color: var(--color-dark-green);
  font-family: "hepta-slab-regular", serif;
  font-weight: lighter;
  padding: 10px 0;
  margin: 0;
}

.cv-download-TOP {
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: center;
  width: fit-content;
  color: var(--color-dark-green);
  background-color: #ffffff39;
  backdrop-filter: blur(10px);
  padding: 10px 25px;
  margin-top: 20px;
  border-radius: 50px;
  margin-left: 17px;
  font-size: 1rem;
  z-index: 1;
}

/* 

main

*/
main {
  display: flex;
  flex-direction: column;
}

/* 

Landing section styles

*/

.landing {
  background-image: url("images/lilybackground-landing.jpg");
  background-size: cover;
  background-position: center;
  height: 110vh;
  display: flex;
  /* justify-content: center; */
  border-radius: 0px 0px 50px 50px;
}

.landing-text {
  display: flex;
  flex-direction: column;
  margin-left: 10%;
  margin-top: 300px;
}

.landing-text h1,
.landing-text h2 {
  color: var(--color-off-white);
  font-family: "italiana", serif;
  font-weight: lighter;
  padding: 0;
  margin: 0;
}

.landing-text h1 {
  font-size: 225px;
  margin-bottom: -50px;
}

.landing-text h2 {
  padding-left: 14px;
  font-size: 100px;
}

.landing-text p {
  color: var(--color-off-white);
  font-family: "hepta-slab-regular", serif;
  font-weight: lighter;
  padding: 0;
  margin: 0;
  padding-left: 17px;
}

.landing-arrow {
  position: absolute;
  bottom: 25px;
  /* align-self: center; */
  width: 100%;
  display: flex;
  justify-content: center;
}

.landing-arrow svg {
  transition: var(--animation-timing);
}

.landing-arrow svg:hover {
  transform: translateY(10px) scale(90%);
}

/* 

  Overall main styles 

*/
.overall-main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-bottom: 300px;
  margin-top: 100px;
}

.overall-main-sections {
  width: 80%;
  max-width: 1920px;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: center;
}

/* 

  about/projects styling 

*/

.overall-main-sections-div {
  padding-right: 200px;
}
.overall-main-sections-div p {
  max-width: 600px;
}

.main_title-div {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 20px;
}

.main_about-me-text {
  max-width: 600px;
}

.about_lily {
  position: absolute;
}

.about_lily-imagery {
  position: relative;
  top: -70px;
}

.about_lily-1 {
  left: -120px;
  top: -60px;
  width: 200px;
}
.about_lily-2 {
  width: 120px;
  left: -50px;
  top: 100px;
  z-index: -1;
  rotate: -30deg;
}
.about_lily-3 {
  width: 150px;
  left: 150px;
  rotate: 140deg;
}
.about_lotus-korea {
  position: absolute;
  z-index: 2;
  width: 250px;
}

/* 

projects styling

*/

.main_title-div-projects {
  align-self: self-end;
}

.main_projects {
  display: flex;
  flex-direction: column;
  padding-top: 100px;
}

.main_projects-text {
  align-self: flex-end;
  text-align: end;
  margin-bottom: 50px;
  max-width: 600px;
}

.main_projects-divs {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 40px;
}

.project-div-back {
  background-color: var(--color-dark-green);
  color: var(--color-off-white);
  display: flex;
  /* justify-content: center; */
  align-items: flex-start;
  /* align-items: center; */
  text-decoration: none;
  flex-direction: column;
  /* padding: 15px 15px 30px 15px; */
  padding: 0px 15px;
  padding-top: 15px;
  padding-bottom: 30px;
  border-radius: 10px;
  overflow: hidden;
}

.project-div-back svg {
  transition: var(--animation-timing);
}

/* .project-div-back:hover {
  opacity: 90%;
} */

.project-div-back:hover svg {
  transform: translateX(40px) scale(90%);
}

.project-div-back:hover .project-div-image {
  transform: scale(0.95);
}

.project-div-image {
  width: 200px;
  padding-bottom: 20px;
  transition: var(--animation-timing);
}

.project-div-back h3 {
  margin: 0;
  padding: 0;
  font-size: 1.5rem;
  font-weight: lighter;
  width: 150px;
}

.project-div-back-text {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
}

.projects-imagery {
  position: relative;
}

.projects-lily {
  position: absolute;
  z-index: -1;
}

.projects-lily-1 {
  left: -600px;
  top: -375px;
  width: 150px;
  rotate: 45deg;
}

.projects-lily-2 {
  left: -575px;
  top: -50px;
  width: 100px;
  rotate: 280deg;
}

.projects-lily-3 {
  left: 460px;
  top: -100px;
  width: 150px;
  rotate: 166deg;
}

/* Animation for scrolling */
@media (prefers-reduced-motion: no-preference) {
  .overall-main-sections {
    scale: 0.9;
    opacity: 0;
    animation: fade-in linear forwards;
    animation-timeline: view();
    animation-range: 250px 500px;
  }

  .about_lily {
    animation: fade-in linear forwards;
    animation-timeline: view();
    animation-range: 250px 500px;
    scale: 0.9;
    opacity: 0;
  }

  .projects-lily-1 {
    animation: fade-in linear forwards;
    animation-timeline: view();
    animation-range: 200px 350px;
    scale: 0.9;
    opacity: 0;
  }

  @keyframes fade-in {
    to {
      scale: 1;
      opacity: 1;
    }
  }
}

/* 

  project pages styling

*/

.projects-header {
  background-image: url("images/1lotusfield-1.png");
  background-size: cover;
  background-position: center;
  height: 300px;
  display: flex;
  align-items: center;
  border-radius: 0px 0px 50px 50px;
}

.projects-header-2 {
  background-image: url("images/1lotusfield-2.png");
  background-size: cover;
  background-position: center;
  height: 300px;
  display: flex;
  align-items: center;
  border-radius: 0px 0px 50px 50px;
}
.projects-header-3 {
  background-image: url("images/1lotusfield-3.png");
  background-size: cover;
  background-position: center;
  height: 300px;
  display: flex;
  align-items: center;
  border-radius: 0px 0px 50px 50px;
}
.projects-header-4 {
  background-image: url("images/1lotusfield-4.png");
  background-size: cover;
  background-position: center;
  height: 300px;
  display: flex;
  align-items: center;
  border-radius: 0px 0px 50px 50px;
}

.projects-header-div {
  margin-left: 10%;
}

.project-title {
  color: var(--color-off-white);
  font-family: "italiana", serif;
  font-weight: lighter;
  padding: 0;
  margin: 0;
  font-size: 7rem;
}

.projects-title-p {
  color: var(--color-off-white);
  font-family: "hepta-slab-regular", serif;
  font-weight: lighter;
  max-width: 600px;
}

/* .overall-main-section-spacing {
  display: flex;
  flex-direction: row;

} */

.project-title-side-img {
  width: 450px;
  border-radius: 10px;
  /* margin-left: 20px; */
  box-shadow: var(--hamburger-color-white-border) 0px 10px 15px -3px;
  margin-bottom: 20px;
}

.flipped-title {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  padding: 100px 0;
  width: 100%;
}

.flipped-title p {
  align-self: flex-end;
  text-align: end;
  /* margin-bottom: 50px; */
}

.flipped-title div {
  align-self: self-end;
}

/* 

  project fold up styling

*/

.fold-up-toggle {
  display: none;
}

.fold-up-content {
  display: none;
}

.fold-up-content p a {
  color: var(--color-main-green);
  text-decoration: none;
  font-weight: bold;
}
.fold-up-content p a:hover {
  text-decoration: underline;
}

.fold-up-left {
  display: flex;
  flex-direction: column;
  align-content: flex-end;
  align-items: flex-end;
}

.fold-up-toggle:checked ~ .fold-up-content {
  display: block;
}

.fold-up-label {
  cursor: pointer;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
  width: fit-content;
  border: var(--color-main-green) solid 2px;
  border-radius: 50px;
  padding: 5px 15px;
}

.fold-up-label-1 {
  border: var(--color-main-green) solid 2px;
}

.fold-up-label-2 {
  border: var(--color-main-pink) solid 2px;
}
.fold-up-label-3 {
  border: var(--color-main-light-pink) solid 2px;
}

.fold-up-label h3 {
  color: var(--color-dark-green);
  font-family: "hepta-slab-regular", serif;
  font-weight: lighter;
  font-size: 1rem;
  margin: 0;
  padding: 0;
}

.fold-up-label svg {
  transition: var(--animation-timing);
}

.fold-up-toggle:checked ~ .fold-up-label svg {
  transform: rotate(0.5turn);
}

.portfolio-link {
  color: inherit;
  width: fit-content;
  display: flex;
  flex-direction: column;
}
.portfolio-link p {
  width: fit-content;
}

.portfolio-link:hover {
  font-weight: bold;
  text-decoration: underline;
}

.k3-logo {
  width: 300px;
}

.project-page_content-imagery {
  width: 600px;
  border-radius: 10px;
}

.foldup-pictures-div {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 20px;
}

.skills-div {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  gap: 80px;
  padding: 10px 30px 20px;
  border-radius: 10px;
  box-shadow: 0px 0px 5px var(--hamburger-color-white-border);
}

.skills-div li {
  list-style: inside;
  width: 250px;
}

@media (max-width: 1320px) {
  .projects-imagery {
    display: none;
  }
  .main_about-me-text {
    padding-bottom: 150px;
  }
  .main_projects {
    padding-top: 200px;
  }
  .about_lily-imagery {
    left: 100px;
  }
}

@media (max-width: 430px) {
  .hamburger_sidebar {
    width: 100%;
  }
  .landing-text {
    margin-top: 150px;
  }
  .landing-text h1 {
    font-size: 125px;
    margin-bottom: -20px;
  }
  .landing-text h2 {
    margin-left: -7px;
    font-size: 50px;
  }
  .landing-text p {
    margin-left: -7px;
  }

  .cv-download-TOP {
    margin-left: 7px;
  }
  .overall-main-sections-div {
    width: 90%;
    padding-right: 0px;
    padding-bottom: 200px;
  }
  .overall-main-sections {
    flex-direction: column;
  }

  .skills-div {
    flex-direction: column;
    gap: 20px;
  }

  .main_title-div {
    flex-direction: column;
  }
  .about_lily-imagery {
    top: -130px;
    left: 30px;
  }
  .main_title-div-projects {
    flex-wrap: row-reverse;
  }

  .main_projects-text {
    align-self: flex-start;
    text-align: start;
  }
  .main_projects-divs {
    justify-content: center;
  }
  .projects-imagery {
    display: none;
  }

  .overall-main {
    overflow: hidden;
  }

  /* project pages mobile */
  .project-title {
    font-size: 80px;
  }
  .projects-header,
  .projects-header-2,
  .projects-header-3,
  .projects-header-4 {
    height: 500px;
  }
  .projects-title-p {
    max-width: 90%;
  }
  .overall-main-sections-div p {
    max-width: 90%;
  }
  /* .overall-main-sections-div {
    padding-bottom: 30px;
  } */

  .project-title-side-img {
    width: 90%;
  }
  .flipped-title p {
    align-self: flex-start;
    text-align: start;
  }
  .flipped-title div {
    align-self: self-start;
  }
  .flipped-title {
    padding-bottom: 100px;
    padding-top: 0px;
  }
  .fold-up-left {
    align-items: flex-start;
  }
  .k3-logo {
    width: 90%;
  }

  .project-page_content-imagery {
    width: 90%;
  }
  .foldup-pictures-div {
    align-items: flex-start;
  }
}
